Create entry
curl --request POST \
--url https://www.dench.com/api/v1/crm/objects/{objectName}/entries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"Name": "Joint review",
"Assignee": [
"user_kumar",
"user_mark"
],
"Status": "New"
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {Name: 'Joint review', Assignee: ['user_kumar', 'user_mark'], Status: 'New'}
})
};
fetch('https://www.dench.com/api/v1/crm/objects/{objectName}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/crm/objects/{objectName}/entries"
payload = { "data": {
"Name": "Joint review",
"Assignee": ["user_kumar", "user_mark"],
"Status": "New"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"entryId": "ent_lead99"
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}crm
Create entry
Create a CRM entry.
POST
/
crm
/
objects
/
{objectName}
/
entries
Create entry
curl --request POST \
--url https://www.dench.com/api/v1/crm/objects/{objectName}/entries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"Name": "Joint review",
"Assignee": [
"user_kumar",
"user_mark"
],
"Status": "New"
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {Name: 'Joint review', Assignee: ['user_kumar', 'user_mark'], Status: 'New'}
})
};
fetch('https://www.dench.com/api/v1/crm/objects/{objectName}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/crm/objects/{objectName}/entries"
payload = { "data": {
"Name": "Joint review",
"Assignee": ["user_kumar", "user_mark"],
"Status": "New"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"entryId": "ent_lead99"
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
DenchApiKeyAgentSession
Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.
Path Parameters
Body
application/json
Field-name -> value map. For user fields use one member userId or a userId array; preserve every assignee.
Show child attributes
Show child attributes
Response
Successful response
⌘I